import java.util.*;

public class Geburtstagsinfos {
	
	public static void main (String[] args) {

		// Geburtstag abfragen
		Benutzereingabe eingabe = new Benutzereingabe();
		int tag = eingabe.getInt("An welchem Tag sind Sie geboren?");
		int monat = eingabe.getInt("In welchem Monat sind Sie geboren?");
		int jahr = eingabe.getInt("In welchem Jahr sind Sie geboren?");

		//http://java.sun.com/j2se/1.5.0/docs/api/java/util/Calendar.html
		// ein Objekt der Calendar-Unterklassen
		Calendar geburtstag = Calendar.getInstance();

		// aktuelles Jahr abfragen
		int aktuellesJahr = geburtstag.get(Calendar.YEAR);
		
		// Datum auf Geburtstag setzen
		geburtstag.set (jahr, monat-1, tag);		// Vorsicht: Monate beginnen bei 0

		String wochentag = "";
			
		// alle Jahre durchlaufen und die Wochentage ausgeben
		for (int alleJahre = jahr; alleJahre <= aktuellesJahr; alleJahre++) {
			geburtstag.set(Calendar.YEAR, alleJahre);	// Jahr setzen
			if (geburtstag.get(Calendar.DAY_OF_WEEK) == Calendar.SUNDAY)	// 1
				wochentag = "Sonntag";
			else if (geburtstag.get(Calendar.DAY_OF_WEEK) == Calendar.MONDAY)
				wochentag = "Montag";
			else if (geburtstag.get(Calendar.DAY_OF_WEEK) == Calendar.TUESDAY)
				wochentag = "Dienstag";
			else if (geburtstag.get(Calendar.DAY_OF_WEEK) == Calendar.WEDNESDAY)
				wochentag = "Mittwoch";
			else if (geburtstag.get(Calendar.DAY_OF_WEEK) == Calendar.THURSDAY)
				wochentag = "Donnerstag";
			else if (geburtstag.get(Calendar.DAY_OF_WEEK) == Calendar.FRIDAY)
				wochentag = "Freitag";
			else if (geburtstag.get(Calendar.DAY_OF_WEEK) == Calendar.SATURDAY)
				wochentag = "Samstag";
		
			// %s gibt einen String aus
			// %d fuegt keine Nullen ein, sondern Leerzeichen
			//String formatiert = String.format ("Der %2d.%2d.%4d war ein %s", tag, monat, alleJahre, wochentag);

			//http://java.sun.com/j2se/1.5.0/docs/api/java/util/Formatter.html#syntax
			//file:///Users/spelmezan/Documents/documentation/java/docs/api/java/util/Formatter.html#syntax
			//String formatiert = String.format ("Der %te.%<tm.%<tY ist ein %s.", geburtstag, wochentag);
			String formatiert = String.format ("Der %te.%tm.%tY ist ein %s.", geburtstag, geburtstag, geburtstag, wochentag);
			System.out.println (formatiert);
		}
		
	}
}